Bug 1284170 - dnf does not take in account package provides when doing group install
dnf does not take in account package provides when doing group install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-21 07:42 EST by Alexey Torkhov
Modified: 2016-11-30 04:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-30 04:32:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2015-11-21 07:42:43 EST
Description of problem:
When doing groupinstall, dnf should probably resolve packages with respect to package provides.

Version-Release number of selected component (if applicable):
dnf-1.1.4-1.fc23.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Run `dnf install @kde-software-development`

Actual results:
It has kdesdk-umbrello in "marking installed" list and no umbrello in "installing" list.

Expected results:
Same as `dnf install kdesdk-umbrello` - install umbrello package.

Additional info:
Comment 1 Honza Silhan 2015-11-23 08:05:49 EST
It should print the package name not a provide in "Marking installed" section.
Comment 2 Alexey Torkhov 2015-11-23 10:25:33 EST
Package name is umbrello, it provides kdesdk-umbrello and there is kdesdk-umbrello in comps.
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:33:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 08:37:52 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Honza Silhan 2016-11-30 04:32:01 EST
So far DNF treat it as package name only and it's demanded by relengs. If in future releangs want to (and agree) to packagelist mean provide then DNF could change honor that.

Note You need to log in before you can comment on or make changes to this bug.